Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417422 - [abrt] cinnamon: net_device_simple_get_speed(): python2.7 killed by SIGSEGV
Summary: [abrt] cinnamon: net_device_simple_get_speed(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9b82723a3ec3c096ec96c992c44...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 03:21 UTC by Stuart D Gathman
Modified: 2017-08-08 19:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:36:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.00 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: core_backtrace (9.10 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: dso_list (19.44 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: environ (1.34 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: maps (86.72 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: mountinfo (3.25 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: open_fds (1.16 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-29 03:21 UTC, Stuart D Gathman
no flags Details

Description Stuart D Gathman 2017-01-29 03:21:21 UTC
Description of problem:
Changing network settings.  I forget which setting triggered the crash.

Version-Release number of selected component:
cinnamon-3.2.8-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py network
crash_function: net_device_simple_get_speed
executable:     /usr/bin/python2.7
global_pid:     4851
kernel:         4.9.5-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 net_device_simple_get_speed at net-device-simple.c:261
 #1 device_ethernet_refresh_ui at net-device-ethernet.c:228
 #6 connection_inited at nm-remote-settings.c:520
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #8 init_async_complete at nm-remote-connection.c:648
 #9 init_async_got_properties at nm-remote-connection.c:667
 #10 complete_pending_call_and_unlock at ../../dbus/dbus-connection.c:2331
 #17 gtk_main at gtkmain.c:1269
 #18 ffi_call_unix64 at ../src/x86/unix64.S:76
 #19 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1315048

Comment 1 Stuart D Gathman 2017-01-29 03:21:26 UTC
Created attachment 1245485 [details]
File: backtrace

Comment 2 Stuart D Gathman 2017-01-29 03:21:27 UTC
Created attachment 1245486 [details]
File: cgroup

Comment 3 Stuart D Gathman 2017-01-29 03:21:29 UTC
Created attachment 1245487 [details]
File: core_backtrace

Comment 4 Stuart D Gathman 2017-01-29 03:21:30 UTC
Created attachment 1245488 [details]
File: dso_list

Comment 5 Stuart D Gathman 2017-01-29 03:21:31 UTC
Created attachment 1245489 [details]
File: environ

Comment 6 Stuart D Gathman 2017-01-29 03:21:32 UTC
Created attachment 1245490 [details]
File: exploitable

Comment 7 Stuart D Gathman 2017-01-29 03:21:33 UTC
Created attachment 1245491 [details]
File: limits

Comment 8 Stuart D Gathman 2017-01-29 03:21:35 UTC
Created attachment 1245492 [details]
File: maps

Comment 9 Stuart D Gathman 2017-01-29 03:21:36 UTC
Created attachment 1245493 [details]
File: mountinfo

Comment 10 Stuart D Gathman 2017-01-29 03:21:37 UTC
Created attachment 1245494 [details]
File: namespaces

Comment 11 Stuart D Gathman 2017-01-29 03:21:38 UTC
Created attachment 1245495 [details]
File: open_fds

Comment 12 Stuart D Gathman 2017-01-29 03:21:39 UTC
Created attachment 1245496 [details]
File: proc_pid_status

Comment 13 Stuart D Gathman 2017-01-29 03:21:40 UTC
Created attachment 1245497 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-07-06 07:36:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2017-07-26 00:13:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 19:36:36 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.